﻿using UnityEngine;

public class Singleton<T> : MonoBehaviour {
    public static T Instance { get { return _instance; } }
    private static T _instance;

    protected virtual void Awake()
    {
        _instance = gameObject.GetComponent<T>();
    }
}