﻿using UnityEngine;
using UnityEngine.UI;

public class JoinRoomButton : MonoBehaviour 
{
	public string RoomName;
	public Button JoinButton;
    public Text ServerNameText;
    public Text CountOfPlayerText;

	void OnEnable () 
	{
		JoinButton.onClick.AddListener (OnJoinButtonClick);	
	}

	void OnDisable () 
	{
		JoinButton.onClick.RemoveListener (OnJoinButtonClick);
	}

	private void OnJoinButtonClick () 
	{
		PhotonNetwork.JoinRoom (RoomName);
        AudioManager.Instance.PlayAudioClip(AudioManager.Clip.SelectionClip);
    }
}